AutoSegments_InDirection(3)

NAME
AutoSegments_InDirection - Filter to select AutoSegment in a given direction.

SYNOPSIS

Inherits Filter< Type >.

  Public Member Functions
AutoSegments_InDirection (unsigned int direction)
virtual AutoSegmentHF * getClone () const
virtual bool accept (AutoSegment *segment) const

Detailed Description

Filter to select AutoSegment in a given direction. A Filter to select AutoSegment in a specific direction.

Constructor & Destructor Documentation

  AutoSegments_InDirection (unsigned int direction) [inline]
Create a filter for AutoSegment in direction (Katabatic::KbHorizontal or Katabatic::KbVertical).

Member Function Documentation

  AutoSegmentHF * getClone () const [virtual]
Returns: A deep copy of the Collection.

Implements Filter< Type >.

  bool accept (AutoSegment * segment) const [virtual]
Returns: true if the segment is in the correct direction.

Author

Generated automatically by Doxygen for Katabatic - Routing Toolbox from the source code.